{
  "extends": [
    "next",
    "next/core-web-vitals",
    "eslint:recommended",
    "plugin:@typescript-eslint/recommended"
  ],
  "plugins": ["@typescript-eslint", "react"],
  "parser": "@typescript-eslint/parser",
  "parserOptions": {
    "ecmaVersion": "latest",
    "sourceType": "module",
    "ecmaFeatures": {
      "jsx": true
    }
  },
  "env": {
    "browser": true,
    "node": true,
    "es2021": true
  },
  "globals": {
    "JSX": "readonly",
    "NodeJS": "readonly"
  },
  "rules": {
    "no-undef": "off",
    "no-unreachable": "error",
    "@typescript-eslint/no-explicit-any": "warn",
    "@typescript-eslint/no-unused-vars": "warn",
    "react-hooks/exhaustive-deps": "warn",
    "react/react-in-jsx-scope": "off",
    "@next/next/no-img-element": "warn",
    "react/no-unescaped-entities": "warn",
    "no-irregular-whitespace": [
      "error",
      {
        "skipComments": true,
        "skipStrings": true,
        "skipTemplates": true,
        "skipRegExps": true
      }
    ]
  }
}
